%if %%activer_log_distant == 'oui' and %%activer_envoi_logs == 'oui' and %%envoyer_tous_logs == 'non' and %%envoyer_logs_squid == 'oui'

$WorkDirectory /var/log/rsyslog/queues
$ActionQueueType LinkedList
  %if %%activate_squid_realtime == 'non' and %%squid_heure_debut != '' and %%squid_heure_fin != ''
$ActionQueueSize 10000
$ActionQueueDequeueTimeBegin %%squid_heure_debut
$ActionQueueDequeueTimeEnd %%squid_heure_fin
  %end if
$ActionQueueFileName squid
$ActionQueueSaveOnShutdown on

  %if %%rsyslog_envoi_tls == 'oui'
$ActionSendStreamDriverAuthMode x509/name
$IncludeConfig /etc/rsyslog.d/outgoing_peers/*.peers
$ActionSendStreamDriverMode 1
:programname, contains, "squid" @@%%adresse_ip_serveur_logs:10514
  %else
:programname, contains, "squid" :omrelp:%%adresse_ip_serveur_logs:20514

  %end if

%else
# L'envoi des journaux de squid n'est pas configuré de manière spécifique.
%end if

